summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/python-r1.eclass4
2 files changed, 8 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index a3f60403b30c..faaa85284db3 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1198 2014/04/08 16:05:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1199 2014/04/09 21:15:38 mgorny Exp $
+
+ 09 Apr 2014; Michał Górny <mgorny@gentoo.org> python-r1.eclass:
+ Throw explicit error if python_gen_usedep does not match any implementation
+ rather than outputting an empty (invalid) USE-dep.
08 Apr 2014; Michał Górny <mgorny@gentoo.org> python-any-r1.eclass,
python-r1.eclass, python-utils-r1.eclass, tests/python-utils-r1.sh:
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 57ae26308a26..2d860f1ab987 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.68 2014/04/08 16:05:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.69 2014/04/09 21:15:38 mgorny Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -290,6 +290,8 @@ python_gen_usedep() {
done
done
+ [[ ${matches[@]} ]] || die "No supported implementations match python_gen_usedep patterns: ${@}"
+
local out=${matches[@]}
echo ${out// /,}
}